Package opennlp.tools.util.featuregen

# Class BrownClusterBigramFeatureGeneratorFactory

java.lang.Object
opennlp.tools.util.featuregen.GeneratorFactory.AbstractXmlFeatureGeneratorFactory
opennlp.tools.util.featuregen.BrownClusterBigramFeatureGeneratorFactory

public class BrownClusterBigramFeatureGeneratorFactory extends GeneratorFactory.AbstractXmlFeatureGeneratorFactory
A `GeneratorFactory` that produces `BrownBigramFeatureGenerator` instances when `create()` is called.

See Also:
  - `BrownBigramFeatureGenerator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BrownClusterBigramFeatureGeneratorFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `opennlp.tools.util.featuregen.AdaptiveFeatureGenerator`
  `create()`
  `Map<String,opennlp.tools.util.model.ArtifactSerializer<?>>`
  `getArtifactSerializerMapping()`

  ### Methods inherited from class opennlp.tools.util.featuregen.GeneratorFactory.AbstractXmlFeatureGeneratorFactory

  `getBool, getBool, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getStr, getStr`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BrownClusterBigramFeatureGeneratorFactory

    public BrownClusterBigramFeatureGeneratorFactory()

- ## Method Details

  - ### create

    public opennlp.tools.util.featuregen.AdaptiveFeatureGenerator create() throws opennlp.tools.util.InvalidFormatException
    Specified by:
      `create` in class `GeneratorFactory.AbstractXmlFeatureGeneratorFactory`
    Returns:
      `null` if the subclass uses `GeneratorFactory.AbstractXmlFeatureGeneratorFactory.resourceManager` to instantiate.
    Throws:
      `opennlp.tools.util.InvalidFormatException` - Thrown if the format is incorrect.

  - ### getArtifactSerializerMapping

    public Map<String,opennlp.tools.util.model.ArtifactSerializer<?>> getArtifactSerializerMapping() throws opennlp.tools.util.InvalidFormatException
    Overrides:
      `getArtifactSerializerMapping` in class `GeneratorFactory.AbstractXmlFeatureGeneratorFactory`
    Throws:
      `opennlp.tools.util.InvalidFormatException`